Subject: bug#66339: Gnome-team dbus socket in /var/run/dbus, not /run/dbus

From: Vivien Kraus <[email-masked]>
Date: Wed, 04 Oct 2023 12:51:11 +0200

Dear guix,

The gnome-team branch starts the dbus service to provide a system
session socket in /var/run/dbus, but the dbus client expects it in
/run/dbus. This is the case for gdm and upowerd, and possibly many
more.

If I add

(symlink "/var/run/dbus" "/run/dbus")

in the script provided by dbus-activation (gnu/services/dbus.scm), then
gdm starts, and I can log in (with XFCE, GNOME still can’t load) and
verify upowerd works.

I don’t think this is a good solution though. I think we need to dig
into how to bind the socket in /run/dbus, and check the dbus clients to
make sure they all expect the socket in /run/dbus.

Best regards,

Vivien